---
frameworks:
- Pytorch
license: other
tasks:
- text-generation

domain:
- nlp

language:
- cn 
- en

tools:
- vllm、fastchat、llamacpp、AdaSeq

---
# GLM-Edge-1.5B-Chat

Read this in [English](README_en.md)

## 使用 transformers 库进行推理

### 安装

请安装源代码的transformers库。

```shell
pip install git+https://github.com/huggingface/transformers.git
```
### 推理

```python
from modelscope import AutoModelForCausalLM, AutoTokenizer

MODEL_PATH = "ZhipuAI/glm-edge-4b-chat"

tokenizer = AutoTokenizer.from_pretrained(MODEL_PATH)
model = AutoModelForCausalLM.from_pretrained(MODEL_PATH, device_map="auto")

message = [{"role": "user", "content": "hello!"}]

inputs = tokenizer.apply_chat_template(
    message,
    return_tensors="pt",
    add_generation_prompt=True,
    return_dict=True,
).to(model.device)

generate_kwargs = {
    "input_ids": inputs["input_ids"],
    "attention_mask": inputs["attention_mask"],
    "max_new_tokens": 128,
    "do_sample": False,
}
out = model.generate(**generate_kwargs)
print(tokenizer.decode(out[0][inputs["input_ids"].shape[1]:], skip_special_tokens=True))

```

## 协议

本模型的权重的使用则需要遵循 [LICENSE](LICENSE)。